/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.stringconverter.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.stringconverter.BlancoStringConverterConstants;
import blanco.stringconverter.resourcebundle.BlancoStringConverterResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoStringConverterWizardPage4 extends WizardPage {
    private static final BlancoStringConverterResourceBundle fBundle = new BlancoStringConverterResourceBundle();

    public BlancoStringConverterWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoStringConverterConstants.PRODUCT_NAME + "プラグインに関連するフォルダ");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoStringConverterConstants.PRODUCT_NAME
                        + "プラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.ソースフォルダ (フォルダ名は src を推奨)");
        new Label(container, SWT.NONE)
                .setText("    ソースフォルダを設定(作成)することを強く推奨します。");
        new Label(container, SWT.NONE).setText("  2.メタディレクトリ (フォルダ名は meta"
                + BlancoStringConverterConstants.TARGET_SUBDIRECTORY
                + " を強く推奨します)");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "が格納されます。");
        new Label(container, SWT.NONE)
                .setText("  3.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE)
                .setText("  4.ソースコード生成ディレクトリ (フォルダ名は blanco/main(Java), blanco.cs/main(C#.NET)");
        new Label(container, SWT.NONE)
                .setText("    , blanco.js/main(JavaScript), blanco.php/main(PHP), blanco.ruby/main(Ruby), blanco.python/main(Python)");
        new Label(container, SWT.NONE).setText("     となります)");

        setControl(container);
    }
}